@mixin placeholder($c) {
  &::-webkit-input-placeholder { 
    color: $c;
    opacity: 1;
  }
  &::-moz-placeholder { 
    color: $c;
    opacity: 1;
  }
  &:-ms-input-placeholder {
    color: $c;
    opacity: 1;
  }
  &:-moz-placeholder { 
    color: $c;
    opacity: 1;
  }
}
// px to rem
@function rem($pixels, $context: $mainFontSize) {
  @if (unitless($pixels)) {
    $pixels: $pixels * 1px;
  }
  @if (unitless($context)) {
    $context: $context * 1px;
  }
  @return $pixels / $context * 1rem;
}

@mixin size($width,$height: $width) {
  width: $width;
  height: $height;
}